Subject: Re: gdb-20000610 and binutils-20000625
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 1 Jul 2000 00:59:22 -0400

I spoke too soon.

I've found *a* problem and am testing a patch now.

I can't duplicate the specific problem that is reported below, though.
I never see a core dump from gdb.

Could you send me the source and executable of the program that is causing
the gdb crash below?

cgf

On Thu, Jun 29, 2000 at 02:36:32PM -0400, Chris Faylor wrote:
>Hmm.  I see the problem.  I'd only tried this without the -mno-cygwin
>(this option is fast becoming the bane of my existence).
>
>I'll see if I can track down what's going on.
>
>Of course, as usual, I'd appreciate any help in the form of actual debugging
>of the problem that anyone is willing to perform.
>
>By debugging, I mean "fire up gdb and use that to debug gdb.exe".
>
>cgf
>
>On Wed, Jun 28, 2000 at 11:57:27AM +0800, Topas wrote:
>>I update the binutils-20000625 today. An internal GDB error is detected when I debug a program.
>>
>>% gcc -O -g -o t1.exe t1.c -mno-cygwin
>>%gdb t1.exe
>>
>>GDB.EXE.stackdump :
>>
>>     64 [sig] GDB 1019 handle_exceptions: Exception: STATUS_ACCESS_VIOLATION
>>Exception: STATUS_ACCESS_VIOLATION at eip=61009DCE
>>eax=00000000 ebx=00000008 ecx=CBDA0000 edx=816508EC esi=0E72FE80 edi=00000000
>>ebp=0E72FE68 esp=0E72FE50 program=C:\CYGWIN\BIN\GDB.EXE
>>cs=017F ds=0187 es=0187 fs=1B47 gs=0000 ss=0187
>>Stack trace:
>>Frame     Function  Args
>>0E72FE68  6100A1FD  (00000000, 6100A181, 8165F6C8, BFF7B60C)
>>0E72FE98  6100A1FD  (00000000, 00000000, 0E72FEC0, BFF7B828)
>>0E72FEE8  6100B8E6  (00000006, 00000006, 00000000, 000001F4)
>>0E72FF48  610407D8  (00000000, 0000FFFF, 0E72FF98, 61003448)
>>0E72FF98  6100344E  (6108438C, 8165F6C8, 00000008, 81648218)
>>0E72FFCC  BFF890A6  (61003420, 6108438C, 00000008, 00000000)
>>2264650 [sig] GDB 1019 handle_exceptions: Exception: STATUS_ACCESS_VIOLATION
>>2318790 [sig] GDB 1019 handle_exceptions: Error while dumping state (probably corrupted stack)
>>
>>It's working fine when I using old binutils or without using -mno-cygwin option.

--
Want to unsubscribe from this list?
Send a message to [email-masked]